Summary:	Playable implementation of the Settlers of Catan
Name:		pioneers
Version:	15.6
Release:	%mkrel 1
Group:		Games/Boards
License:	GPLv2+
Url:		http://pio.sourceforge.net/
Source0:	https://downloads.sourceforge.net/project/pio/Source/%{name}-%{version}.tar.gz

BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	libxml2-utils
BuildRequires:	pkgconfig(avahi-client)
BuildRequires:	pkgconfig(avahi-glib)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libnotify)

%description
Pioneers is an Internet playable implementation of the Settlers of
Catan board game. The aim is to remain as faithful to the board game
as is possible.

%package	server-console
Summary:	Pioneers Console Server
Group:		Games/Boards
Requires:	pioneers-server-data = %{version}-%{release}

%description	server-console
Pioneers is an Internet playable implementation of the Settlers of
Catan board game. The aim is to remain as faithful to the board game
as is possible.
The meta server registers available game servers and offers them to new
players. It can also create new servers on client request.

%package	server-gtk
Summary:	Pioneers GTK Server
Group:		Games/Boards
Requires:	pioneers-server-data = %{version}-%{release}
Requires:	pioneers == %{version}

%description	server-gtk
Pioneers is an Internet playable implementation of the Settlers of
Catan board game. The aim is to remain as faithful to the board game
as is possible.

The server has a user interface in which you can customise the game
parameters. Customisation is fairly limited at the moment, but this
should change in later versions. Once you are happy with the game
parameters, press the Start Server button, and the server will start
listening for client connections.

%package	server-data
Summary:	Pioneers Data
Group:		Games/Boards

%description	server-data
Pioneers is an Internet playable implementation of the Settlers of
Catan board game. The aim is to remain as faithful to the board game
as is possible.

This package contains the data files for a game server, including a
computer player that can take part in Pioneers games.

%prep
%autosetup -p1

%build
%configure --bindir=%{_gamesbindir}
%make_build

%install
%make_install

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc AUTHORS ChangeLog README
%{_gamesbindir}/%{name}
%{_gamesbindir}/%{name}-editor
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/%{name}-editor.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/pixmaps/%{name}-editor.png
%{_datadir}/pixmaps/%{name}/
%dir %{_gamesdatadir}/%{name}
%{_gamesdatadir}/%{name}/themes/
%{_mandir}/man6/%{name}.6*
%{_mandir}/man6/%{name}-editor.6*
%{_iconsdir}/hicolor/scalable/actions/pioneers-*.svg
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_iconsdir}/hicolor/*/apps/%{name}-editor.*
%{_datadir}/help/C/%{name}

%files server-console
%doc README
%{_gamesbindir}/%{name}-server-console
%{_gamesbindir}/%{name}-metaserver
%{_mandir}/man6/%{name}-server-console.6*
%{_mandir}/man6/%{name}-metaserver.6*

%files server-gtk
%doc README
%{_gamesbindir}/%{name}-server-gtk
%{_datadir}/applications/%{name}-server-gtk.desktop
%{_datadir}/pixmaps/%{name}-server.png
%{_mandir}/man6/%{name}-server-gtk.6*
%{_iconsdir}/hicolor/*/apps/%{name}-server.*

%files server-data
%doc README
%{_gamesbindir}/pioneersai
%{_mandir}/man6/pioneersai.6*
%dir %{_gamesdatadir}/%{name}
%{_gamesdatadir}/%{name}/computer_names
%{_gamesdatadir}/%{name}/*.game


%changelog
* Sat Sep 10 2022 neoclust <neoclust> 15.6-1.mga9
+ Revision: 1886366
- New version 15.6

* Wed Apr 06 2022 umeabot <umeabot> 15.5-6.mga9
+ Revision: 1845692
- Mageia 9 Mass Rebuild

* Mon Jul 06 2020 joequant <joequant> 15.5-5.mga8
+ Revision: 1602597
- gcc10
- run gcc10 patch

* Fri Feb 14 2020 umeabot <umeabot> 15.5-4.mga8
+ Revision: 1521057
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Dec 16 2018 wally <wally> 15.5-3.mga7
+ Revision: 1341594
- build with avahi support
- drop unneeded libgnome2 BR

* Sun Sep 23 2018 umeabot <umeabot> 15.5-2.mga7
+ Revision: 1300287
- Mageia 7 Mass Rebuild

* Thu Apr 05 2018 buchan <buchan> 15.5-1.mga7
+ Revision: 1215522
- New version 15.5

* Thu Sep 29 2016 akien <akien> 15.4-1.mga6
+ Revision: 1057570
- Drop some obsolete stuff:
  o Additional icons are not necessary, upstream ones in pixmaps and hicolor are sufficient
  o gnocatan has been obsolete for 11 years, remove corresponding Obsoletes and Provides
  o Do not reinstall already installed desktop files
  o There are no longer *.c files installed in the tree, do not delete them
- Version 15.4

* Tue Jan 12 2016 buchan <buchan> 15.3-1.mga6
+ Revision: 922247
- New version 15.3
- Ensure pioneers and pioneers-server-gtk are the same version

* Wed Oct 15 2014 umeabot <umeabot> 15.1-3.mga5
+ Revision: 745546
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 15.1-2.mga5
+ Revision: 687602
- Mageia 5 Mass Rebuild

* Sat Jun 07 2014 akien <akien> 15.1-1.mga5
+ Revision: 634285
- Version 15.1
- Binaries now go to %%_gamesbindir
- Drop unused patch
- Remove X-MandrivaLinux-MoreApplications-Games-Boards category from desktop files

* Fri Oct 18 2013 umeabot <umeabot> 14.1-3.mga4
+ Revision: 517487
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 14.1-2.mga3
+ Revision: 377749
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jun 22 2012 buchan <buchan> 14.1-1.mga3
+ Revision: 262555
- Minor fixes
- imported package pioneers


* Tue May 29 2012 Götz Waschk <waschk@mandriva.org> 14.1-1mdv2012.0
+ Revision: 801050
- update file list for rpm5
- update to new version 14.1

* Mon Oct 31 2011 Götz Waschk <waschk@mandriva.org> 0.12.5-1
+ Revision: 707985
- new version
- enable avahi support
- enable notification support on Cooker

* Tue Aug 30 2011 Götz Waschk <waschk@mandriva.org> 0.12.4-1
+ Revision: 697438
- drop patch 1
- update to new version 0.12.4

* Tue Oct 05 2010 Götz Waschk <waschk@mandriva.org> 0.12.3.1-1mdv2011.0
+ Revision: 583063
- update to new version 0.12.3.1

* Mon Jan 25 2010 Götz Waschk <waschk@mandriva.org> 0.12.3-1mdv2010.1
+ Revision: 496252
- update build deps
- new version
- rediff patch 1
- update file list

* Sun Aug 09 2009 Götz Waschk <waschk@mandriva.org> 0.12.2-3mdv2010.0
+ Revision: 412352
- update license
- fix format strings

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 0.12.2-2mdv2009.0
+ Revision: 268999
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - use %%update_scrollkeeper/%%clean_scrollkeeper

* Sun May 04 2008 Götz Waschk <waschk@mandriva.org> 0.12.2-1mdv2009.0
+ Revision: 201025
- new version
- new version
- update the patch

  + Thierry Vignaud <tv@mandriva.org>
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Sun Oct 07 2007 Götz Waschk <waschk@mandriva.org> 0.11.3-1mdv2008.1
+ Revision: 95679
- new version
- add gpg signature to the sources
- fix desktop entries

* Sun Aug 05 2007 Götz Waschk <waschk@mandriva.org> 0.11.2-1mdv2008.0
+ Revision: 59105
- new version

* Sun Jul 22 2007 Götz Waschk <waschk@mandriva.org> 0.11.1-1mdv2008.0
+ Revision: 54471
- Import pioneers



* Sun Jul 22 2007 Götz Waschk <waschk@mandriva.org> 0.11.1-1mdv2008.0
- New version 0.11.1

* Sun Sep 17 2006 Götz Waschk <waschk@mandriva.org> 0.10.2-1mdv2007.0
- New version 0.10.2

* Sun Aug 27 2006 Götz Waschk <waschk@mandriva.org> 0.10.1-1mdv2007.0
- New release 0.10.1

* Fri Aug  4 2006 Götz Waschk <waschk@mandriva.org> 0.9.64-3mdv2007.0
- fix old menu

* Tue Jun 20 2006 Götz Waschk <waschk@mandriva.org> 0.9.64-2mdv2007.0
- xdg menu

* Tue Jun 06 2006 Götz Waschk <waschk@mandriva.org> 0.9.64-1
- New release 0.9.64

* Tue May 30 2006 Götz Waschk <waschk@mandriva.org> 0.9.63-1
- New release 0.9.63

* Sun May 28 2006 Götz Waschk <waschk@mandriva.org> 0.9.62-1mdk
- New release 0.9.62

* Sun Apr 09 2006 Götz Waschk <waschk@mandriva.org> 0.9.61-1mdk
- New release 0.9.61

* Thu Mar  9 2006 Götz Waschk <waschk@mandriva.org> 0.9.55-2mdk
- don't use rsvg anymore for the icons to allow backports

* Thu Feb 09 2006 Götz Waschk <waschk@mandriva.org> 0.9.55-1mdk
- New release 0.9.55

* Tue Feb 07 2006 Götz Waschk <waschk@mandriva.org> 0.9.54-1mdk
- New release 0.9.54

* Wed Jan 25 2006 Götz Waschk <waschk@mandriva.org> 0.9.49-1mdk
- use rsvg for the icons
- New release 0.9.49

* Sat Dec 31 2005 Götz Waschk <waschk@mandriva.org> 0.9.40-4mdk
- fix icon transparency

* Sat Dec 31 2005 Götz Waschk <waschk@mandriva.org> 0.9.40-3mdk
- use the svg icon

* Tue Dec 27 2005 Götz Waschk <waschk@mandriva.org> 0.9.40-2mdk
- fix obsoletes

* Wed Dec 21 2005 Götz Waschk <waschk@mandriva.org> 0.9.40-1mdk
- fix menu
- New release 0.9.40
- use mkrel

* Sun Nov 20 2005 Götz Waschk <waschk@mandriva.org> 0.9.33-2mdk
- rebuild for new openssl

* Thu Nov 03 2005 Götz Waschk <waschk@mandriva.org> 0.9.33-1mdk
- New release 0.9.33

* Thu Sep 01 2005 Götz Waschk <waschk@mandriva.org> 0.9.23-2mdk
- rebuild to remove glitz dep

* Mon Aug 22 2005 Götz Waschk <waschk@mandriva.org> 0.9.23-1mdk
- New release 0.9.23

* Fri Jul 15 2005 Götz Waschk <waschk@mandriva.org> 0.9.19-1mdk
- add the editor
- fix buildrequires
- new version
- renamed from gnocatan

* Sat Mar 26 2005 Götz Waschk <waschk@linux-mandrake.com> 0.8.1.59-1mdk
- New release 0.8.1.59

* Thu Mar 03 2005 Götz Waschk <waschk@linux-mandrake.com> 0.8.1.54-1mdk
- New release 0.8.1.54

* Sat Feb  5 2005 Götz Waschk <waschk@linux-mandrake.com> 0.8.1.53-1mdk
- New release 0.5.1.53

* Fri Feb  4 2005 Goetz Waschk <waschk@linux-mandrake.com> 0.8.1.52-1mdk
- New release 0.8.1.52

* Wed Jan 26 2005 Goetz Waschk <waschk@linux-mandrake.com> 0.8.1.51-1mdk
- New release 0.8.1.51

* Sun Jan 23 2005 Goetz Waschk <waschk@linux-mandrake.com> 0.8.1.50-1mdk
- New release 0.8.1.50

* Sun Jan  9 2005 Goetz Waschk <waschk@linux-mandrake.com> 0.8.1.48-1mdk
- New release 0.8.1.48

* Sat Dec  4 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.8.1.45-1mdk
- New release 0.8.1.45

* Sun Nov 21 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.8.1.43-1mdk
- New release 0.8.1.43

* Sat Nov 13 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.8.1.42-1mdk
- New release 0.8.1.42

* Sun Oct 24 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.8.1.40-1mdk
- New release 0.8.1.40

* Sun Oct 17 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.8.1.39-1mdk
- New release 0.8.1.39

* Sat Oct  9 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.8.1.38-1mdk
- New release 0.8.1.38

* Fri Oct  1 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.8.1.37-1mdk
- New release 0.8.1.37

* Mon Sep 27 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.8.1.36-1mdk
- New release 0.8.1.36

* Fri Jul  9 2004 Götz Waschk <waschk@linux-mandrake.com> 0.8.1.30-1mdk
- drop yelp pregeneration call
- fix source URL
- New release 0.8.1.30

* Sat Feb  7 2004 Götz Waschk <waschk@linux-mandrake.com> 0.8.1.16-2mdk
- fix directory ownership

* Tue Jan 27 2004 Götz Waschk <waschk@linux-mandrake.com> 0.8.1.16-1mdk
- new version

* Mon Oct 20 2003 Götz Waschk <waschk@linux-mandrake.com> 0.8.0.0-1mdk
- initial package


* Sun May 19 2002 Roman Hodek <roman@hodek.net>
- 0.6.99 as beta for 0.7.0

* Sun Aug 27 2000 Steve Langasek <vorlon@dodds.net>
- 0.6.1 released

* Tue Jun 20 2000 Steve Langasek <vorlon@dodds.net>
- updated version number

* Thu Jun 01 2000 Steve Langasek <vorlon@dodds.net>
- Updated to behave more like the filesystem standard tells us to (and
  more like configure expects us to)

* Sun May 07 2000 Dave Cole <adve@dccs.com.au>
- Removed ship building development card

* Mon May 01 2000 Andy Heroff <aheroff@mediaone.net>
- SourceForge release version 0.5.0

* Fri Sep 03 1999 Dave Cole <dave@dccs.com.au>
- Modifications to build 0.4.0

* Sun May 23 1999 Preben Randhol <randhol@pvv.org>
- Building version 0.31

* Wed May 12 1999 Preben Randhol <randhol@pvv.org>
- First try at making the packages
